import { AuthInfo, LoginResult, LogoutResult } from './auth.types';
import { User } from '../user';
export interface Auth {
    readonly loggedUserResult: LoginResult;
    readonly isLoggedIn: boolean;
    readonly currentUser: User;
    login(credentials: AuthInfo): Promise<LoginResult>;
    logout(): Promise<LogoutResult>;
    reAuthFromSession(): Promise<boolean>;
}
export declare const Auth: import("@microsoft/fast-foundation").InterfaceSymbol<Auth>;
//# sourceMappingURL=auth.d.ts.map