export interface Serializer {
    serialize(object: any): string;
    deserialize<T = any>(response: Response): Promise<T>;
    deserialize<T = any>(event: MessageEvent): T;
    deserialize<T = any>(text: string): T;
}
export declare const Serializer: import("@microsoft/fast-foundation").InterfaceSymbol<Serializer>;
//# sourceMappingURL=serializers.d.ts.map