import { AppIntent, Channel, Context, ContextHandler, Intents, IntentResolution } from '@finos/fdc3';
export type FDC3Intents = Intents;
export type FDC3ContextHandler = ContextHandler;
export interface FDC3AppIntent extends AppIntent {
}
export interface FDC3Context extends Context {
}
export interface FDC3IntentResolution extends IntentResolution {
}
export interface FDC3Channel extends Channel {
}
export interface FDC3 {
    isReady: boolean;
    addIntentListeners(listeners: Map<FDC3Intents, FDC3ContextHandler>): void;
    findIntent(intent: FDC3Intents, context?: FDC3Context): Promise<FDC3AppIntent>;
    findIntentsByContext(context: FDC3Context): Promise<FDC3AppIntent[]>;
    raiseIntent(context: FDC3Context, intent?: FDC3Intents): Promise<FDC3IntentResolution>;
    joinChannel(channelId: string): Promise<void>;
    getOrCreateChannel(channelId: string): Promise<FDC3Channel>;
    broadcastOnChannel(channelId: string, context: FDC3Context): Promise<void>;
}
export declare const FDC3: import("@microsoft/fast-foundation").InterfaceSymbol<FDC3>;
//# sourceMappingURL=fdc3.d.ts.map