import type { SocketConnectOptions } from './socket';
import type { SocketReconnectOptions } from './reconnectStrategy';
export interface ConnectConfig {
    connect: SocketConnectOptions;
    reconnect: SocketReconnectOptions;
}
export interface PollingConfiguration {
    TEMP_FREQUENCY: number;
    AMOUNT_OF_POLLS: number;
    QUERIES: string[];
}
export interface HttpPollingConfig {
    POLLING_FREQUENCY?: number;
    POLLING_INTERVAL_MAP?: {
        [resource: string]: number;
    };
    POLLING_MAP?: {
        [key: string]: PollingConfiguration;
    };
}
export interface HttpConnectConfig {
    polling: HttpPollingConfig;
}
export declare const ConnectConfig: import("@microsoft/fast-foundation").InterfaceSymbol<ConnectConfig>;
export declare const HttpConnectConfig: import("@microsoft/fast-foundation").InterfaceSymbol<HttpConnectConfig>;
//# sourceMappingURL=connect.types.d.ts.map