import { Serializer } from './serializers';
export interface HttpRequestInit extends RequestInit {
    serializer?: Serializer;
}
export interface Http {
    get<T = any>(url: string, requestInit: HttpRequestInit): Promise<T>;
    post<T = any>(url: string, requestInit: HttpRequestInit): Promise<T>;
}
export declare const Http: import("@microsoft/fast-foundation").InterfaceSymbol<Http>;
//# sourceMappingURL=http.d.ts.map