import type { Metadata } from './metadata.types';
export interface MetadataCache {
    cachedMetadata: Map<string, Metadata>;
    getMetadataFor(resourceName: string): Metadata;
    hasMetadataFor(resourceName: string): boolean;
    setMetadataFor(resourceName: string, metadata: Metadata): any;
}
export declare const MetadataCache: import("@microsoft/fast-foundation").InterfaceSymbol<MetadataCache>;
//# sourceMappingURL=metadata.d.ts.map