export function until(conditionFunc, timeoutMs = 300) {
    const poll = (resolve) => {
        if (conditionFunc()) {
            resolve();
            return;
        }
        setTimeout(() => poll(resolve), timeoutMs);
    };
    return new Promise(poll);
}
//# sourceMappingURL=until.js.map